package edu.nju.dao;

import edu.nju.entities.Answer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class AnswerDao {

    @Autowired
    private MongoOperations mongoOperations;

    public Answer findAnswerByItemWorker(String item_id, String worker_id){
        Query query = new Query();
        query.addCriteria(Criteria.where("item_id").is(item_id).and("worker_id").is(worker_id));
        List<Answer>answers= mongoOperations.find(query, Answer.class);
        if(answers!=null&&answers.size()!=0){
            return answers.get(0);
        }
        return null;
    }

    public List<Answer> findAnswersByJobWorker(String job_id, String worker_id){
        Query query = new Query();
        query.addCriteria(Criteria.where("job_id").is(job_id).and("worker_id").is(worker_id));
        List<Answer>answers= mongoOperations.find(query, Answer.class);
        return answers;
    }

    //存在则更新，不存在则插入
    public String save(Answer answer){
        mongoOperations.save(answer);
        return answer.getId();
    }
}
