package edu.nju.dao;

import edu.nju.entities.Item;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;


import java.util.List;

@Repository
public class ItemDao {

    @Autowired
    private MongoOperations mongoOperations;

    public String saveItem(Item item){
        mongoOperations.save(item);
        return item.getId();
    }

    public List<Item>findItemsByJob(String job_id){
        Query query = new Query();
        query.addCriteria(Criteria.where("task_id").is(job_id));
        return mongoOperations.find(query, Item.class);
    }

    public Item getItem(String id){
        Query query = new Query();
        query.addCriteria(Criteria.where("_id").is(id));
        List<Item> list = mongoOperations.find(query, Item.class);
        if(list.size() == 0 || list == null) {return null;}
        return list.get(0);
    }




}

