package edu.nju.dao;

import edu.nju.entities.Job;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class JobDao {

    @Autowired
    private MongoOperations mongoOperations;

    //id查询，find查询所有
    public Job findJob(String id){
        Query query = new Query();
        query.addCriteria(Criteria.where("_id").is(id));
        List<Job> list = mongoOperations.find(query,Job.class);
        if(list.size() == 0 || list == null) {return null;}
        return list.get(0);
    }

    public String save(Job job) {
        mongoOperations.save(job);
        return job.getId();
    }
}
