package edu.nju.entities;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.PersistenceConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;
import java.util.Set;

@Document
public class Item implements java.io.Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1884350958222679356L;

    @Id
    private String id;

    private String job_id;

    private String description;

    private List<String> img_urls;

    private boolean isRequired;

    private boolean isMultiple;

    private List<String> attachment_locations;

    private List<String> options;

    @PersistenceConstructor
    public Item(String description, List<String> img_urls, boolean isRequired, boolean isMultiple, List<String> attachment_locations, List<String> options, String job_id) {
        this.description = description;
        this.img_urls = img_urls;
        this.isRequired = isRequired;
        this.isMultiple = isMultiple;
        this.attachment_locations = attachment_locations;
        this.options = options;
        this.job_id = job_id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<String> getImg_urls() {
        return img_urls;
    }

    public void setImg_urls(List<String> img_urls) {
        this.img_urls = img_urls;
    }

    public boolean isRequired() {
        return isRequired;
    }

    public void setRequired(boolean required) {
        isRequired = required;
    }

    public boolean isMultiple() {
        return isMultiple;
    }

    public void setMultiple(boolean multiple) {
        isMultiple = multiple;
    }

    public List<String> getAttachment_locations() {
        return attachment_locations;
    }

    public void setAttachment_locations(List<String> attachment_locations) {
        this.attachment_locations = attachment_locations;
    }

    public List<String> getOptions() {
        return options;
    }

    public void setOptions(List<String> options) {
        this.options = options;
    }

    public String getJob_id() {
        return job_id;
    }

    public void setJob_id(String job_id) {
        this.job_id = job_id;
    }




}