package edu.nju.service;

import edu.nju.dao.AnswerDao;
import edu.nju.dao.ItemDao;
import edu.nju.dao.JobDao;
import edu.nju.dao.UserToItemDao;
import edu.nju.entities.Answer;
import edu.nju.entities.Item;
import edu.nju.entities.Job;
import edu.nju.entities.UserToItem;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class ItemService {
    @Autowired
    ItemDao itemDao;
    @Autowired
    JobDao jobDao;
    @Autowired
    AnswerDao answerDao;
    @Autowired
    UserToItemDao userToItemDao;

    public List<Item>getJobItems(String job_id){
        return itemDao.findItemsByJob(job_id);
    }

    public Job getJob(String job_id){
        return jobDao.findJob(job_id);
    }

    public Answer getAnswerByItemWorker(String item_id, String worker_id){
        return answerDao.findAnswerByItemWorker(item_id, worker_id);
    }
    public List<Answer> getAnswersByWorkerJob(String job_id, String worker_id){
        return answerDao.findAnswersByJobWorker(job_id, worker_id);
    }

    public String saveAnswer(String item_id, String worker_id,String job_id, List<String>answers,List<String> attachment_location){
        Answer answer=new Answer(item_id,answers,worker_id,attachment_location,job_id);
        return answerDao.save(answer);
    }

    //对answer进行初始化
    public String saveAnswer(String item_id, String worker_id,String job_id, int optionNum){
        Answer answer=new Answer(item_id,worker_id,job_id,optionNum);
        return answerDao.save(answer);
    }

    public boolean updateAnswer(String id, String item_id, String worker_id, String job_id, List<String>answers,List<String> attachment_location){
        try {
            if(id == null || id.equals("undefined")) { return false; }
            Answer answer=new Answer(item_id,answers,worker_id,attachment_location,job_id);
            answer.setId(id);
            answerDao.save(answer);
            return true;
        } catch(Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    public List<Item>getItemsByWorkerJob(String worker_id,String job_id){
        List<String>itemIds = userToItemDao.getItemsByUserJob(worker_id, job_id);
        List<Item>items=new ArrayList<>();
        if(itemIds==null||itemIds.size()==0){
            return null;
        }else{
            for(int i=0;i<itemIds.size();i++){
                items.add(itemDao.getItem(itemIds.get(i)));
            }
        }
        return items;
    }

    public String saveUserToItem(String worker_id, List<String> item_id, String job_id){
        UserToItem userToItem=new UserToItem(worker_id, item_id, job_id);
        return userToItemDao.save(userToItem);
    }

}
